unit PiconeBarreTacheUnit1;
//http://www.phidels.com
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PiconeBarreTache, Menus, ExtCtrls, StdCtrls, ExtDlgs, Spin, ImgList;

type
  TForm1 = class(TForm)
    PopupMenu1: TPopupMenu;
    Quitter1: TMenuItem;
    Button1: TButton;
    ButtonCacherApplication: TButton;
    Button2: TButton;
    OpenPictureDialog1: TOpenPictureDialog;
    Button3: TButton;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    PiconeBarreTache1: TPiconeBarreTache;
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBoxPetiteIconeVisible: TCheckBox;
    CheckBoxGrdIconeVisible: TCheckBox;
    ImageList1: TImageList;
    CheckBoxAnimationpicone: TCheckBox;
    Label2: TLabel;
    SpinEditIntervalAnimation: TSpinEdit;
    SpinEditNumImageListe: TSpinEdit;
    Label3: TLabel;
    ApplVisible: TMenuItem;
    Applicationcvache1: TMenuItem;
    CheckBoxReduireSiMinimize: TCheckBox;
    CheckBoxReduireSiFin: TCheckBox;
    CheckBoxMenuSiClicDroit: TCheckBox;
    CheckBoxMenuSiClicGauche: TCheckBox;
    CheckBoxOuvrirSiDoubleClic: TCheckBox;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    EditListeIconeAAfficher: TEdit;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure ButtonCacherApplicationClick(Sender: TObject);
    procedure ButtonRetirerLaPetiteIconeClick(Sender: TObject);
    procedure ButtonMettreLaPetiteIconeClick(Sender: TObject);
    procedure ButtonRetirerGrandeIconeClick(Sender: TObject);
    procedure ButtonMettreLaGrandeIconeClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure PiconeBarreTache1MouseDown(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure PiconeBarreTache1MouseUp(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure CheckBox1Click(Sender: TObject);
    procedure Quitter1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBoxPetiteIconeVisibleClick(Sender: TObject);
    procedure CheckBoxGrdIconeVisibleClick(Sender: TObject);
    procedure CheckBoxAnimationpiconeClick(Sender: TObject);
    procedure SpinEditIntervalAnimationChange(Sender: TObject);
    procedure SpinEditNumImageListeChange(Sender: TObject);
    procedure ApplVisibleClick(Sender: TObject);
    procedure Applicationcvache1Click(Sender: TObject);
    procedure CheckBoxReduireSiMinimizeClick(Sender: TObject);
    procedure CheckBoxReduireSiFinClick(Sender: TObject);
    procedure CheckBoxMenuSiClicDroitClick(Sender: TObject);
    procedure CheckBoxMenuSiClicGaucheClick(Sender: TObject);
    procedure CheckBoxOuvrirSiDoubleClicClick(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure EditListeIconeAAfficherChange(Sender: TObject);
  private

  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;


implementation


{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  application.Terminate;
end;

procedure TForm1.ButtonCacherApplicationClick(Sender: TObject);
begin
  PiconeBarreTache1.ApplicationCachee:=true;
end;

procedure TForm1.ButtonRetirerLaPetiteIconeClick(Sender: TObject);
begin
  PiconeBarreTache1.PetiteIconeVisible:=false;
end;

procedure TForm1.ButtonMettreLaPetiteIconeClick(Sender: TObject);
begin
  PiconeBarreTache1.PetiteIconeVisible:=true;
end;

procedure TForm1.ButtonRetirerGrandeIconeClick(Sender: TObject);
begin
  PiconeBarreTache1.GrandeIconeVisible:=false;
end;

procedure TForm1.ButtonMettreLaGrandeIconeClick(Sender: TObject);
begin
  PiconeBarreTache1.GrandeIconeVisible:=true;;
end;

procedure TForm1.Button2Click(Sender: TObject);
var UneIcone:TIcon;
begin
  if OpenPictureDialog1.Execute then
  begin
    UneIcone:=TIcon.Create;
    UneIcone.LoadFromFile(OpenPictureDialog1.FileName);
    PiconeBarreTache1.Icone:=UneIcone;
    UneIcone.Free;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if OpenPictureDialog1.Execute then
     PiconeBarreTache1.IconeFileName:= OpenPictureDialog1.FileName;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  PiconeBarreTache1.GrandeIconBlink:=not(PiconeBarreTache1.GrandeIconBlink);
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  PiconeBarreTache1.IntervalGrandeIconeBlink:=SpinEdit1.Value;
end;

procedure TForm1.PiconeBarreTache1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
{  Application.BringToFront;
  if Button=mbLeft then ShowMessage('Clique gauche  MouseDown');  }
//  if Button=mbRight then ShowMessage('Cique droite  MouseDown');
end;

procedure TForm1.PiconeBarreTache1MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
//  if Button=mbLeft then ShowMessage('Clique gauche MouseUp');
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  PiconeBarreTache1.OuvreSiClicGauche:=CheckBox1.Checked;
end;

procedure TForm1.Quitter1Click(Sender: TObject);
begin
  PiconeBarreTache1.ReduireSiFin:=false; //sinon le close ferait un rduire
  Form1.Close;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  PiconeBarreTache1.GrandeIconBlink:=CheckBox2.Checked;;
end;

procedure TForm1.CheckBoxPetiteIconeVisibleClick(Sender: TObject);
begin
  PiconeBarreTache1.PetiteIconeVisible:=CheckBoxPetiteIconeVisible.Checked
end;

procedure TForm1.CheckBoxGrdIconeVisibleClick(Sender: TObject);
begin
  PiconeBarreTache1.GrandeIconeVisible:=CheckBoxGrdIconeVisible.Checked;
end;

procedure TForm1.CheckBoxAnimationpiconeClick(Sender: TObject);
begin
  PiconeBarreTache1.Animation:=CheckBoxAnimationpicone.Checked;
end;

procedure TForm1.SpinEditIntervalAnimationChange(Sender: TObject);
begin
  PiconeBarreTache1.IntervalAnimation:=SpinEditIntervalAnimation.Value;
end;

procedure TForm1.SpinEditNumImageListeChange(Sender: TObject);
begin
  PiconeBarreTache1.NumIconeImageList:=SpinEditNumImageListe.Value;
end;

procedure TForm1.ApplVisibleClick(Sender: TObject);
begin
  PiconeBarreTache1.ApplicationCachee:=False;
end;

procedure TForm1.Applicationcvache1Click(Sender: TObject);
begin
  PiconeBarreTache1.ApplicationCachee:=True;
end;

procedure TForm1.CheckBoxReduireSiMinimizeClick(Sender: TObject);
begin
  PiconeBarreTache1.CacherSiMinimize:=CheckBoxReduireSiMinimize.Checked;
end;

procedure TForm1.CheckBoxReduireSiFinClick(Sender: TObject);
begin
  PiconeBarreTache1.ReduireSiFin:= CheckBoxReduireSiFin.Checked;
end;

procedure TForm1.CheckBoxMenuSiClicDroitClick(Sender: TObject);
begin
  PiconeBarreTache1.MenuSiClicDroit:=CheckBoxMenuSiClicDroit.Checked;
end;

procedure TForm1.CheckBoxMenuSiClicGaucheClick(Sender: TObject);
begin
   PiconeBarreTache1.MenuSiClicGauche:=CheckBoxMenuSiClicGauche.Checked;
end;

procedure TForm1.CheckBoxOuvrirSiDoubleClicClick(Sender: TObject);
begin
   PiconeBarreTache1.OuvreSiDblClick:=CheckBoxOuvrirSiDoubleClic.Checked;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
 PiconeBarreTache1.Free;
end;

procedure TForm1.EditListeIconeAAfficherChange(Sender: TObject);
begin
  PiconeBarreTache1.OrdreImageListAffiche:=EditListeIconeAAfficher.Text;
end;

end.
